Bug 127384 - [PATCH] multimedia/Kmplayer build fix (Yet Another USE_XORG)
Summary: [PATCH] multimedia/Kmplayer build fix (Yet Another USE_XORG)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-14 19:00 UTC by Mel
Modified: 2008-09-23 22:10 UTC (History)
1 user (show)

See Also:


Attachments
kmplayer.fix (518 bytes, text/plain)
2008-09-14 19:00 UTC, Mel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mel 2008-09-14 19:00:10 UTC
Build kmplayer in mostly clean environment (as in no X installed at all).
It will fail with a lot of type failures, and finally:
'XvQueryExtension' was not declared in this scope

Because x11/extensions/Xvlib.h is missing.

How-To-Repeat: pkg_delete -f libXv-* && (cd /usr/ports/multimedia/kmplayer && make build)
Comment 1 Edwin Groothuis freebsd_committer 2008-09-14 22:13:37 UTC
Maintainer of multimedia/kmplayer,

Please note that PR ports/127384 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127384

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-14 22:13:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2008-09-15 00:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Danny Pansters 2008-09-16 22:29:07 UTC
Patch approved, please commit and thanks for notifying me.

Dan
Comment 5 Edwin Groothuis freebsd_committer 2008-09-16 23:08:20 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 6 Dmitry Marakasov freebsd_committer 2008-09-23 22:06:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2008-09-23 22:06:11 UTC
amdmi3      2008-09-23 21:06:06 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/kmplayer  Makefile 
  Log:
  - Add missing xv dependency
  
  PR:             127384
  Submitted by:   Mel <mel dot xyzzy at rachie dot is-a-geek dot net>
  Approved by:    "Danny Pansters" <danny at ricin dot com> (maintainer)
  
  Revision  Changes    Path
  1.42      +1 -0      ports/multimedia/kmplayer/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"